Skip to content

Como não compilar o Android.

Boa noite,

Como você deve ter percebido, eu estive um pouco sumido nos últimos dias. Não, eu não estou mal e nem aconteceu nada comigo. Estive os 2 últimos dias tentando compilar o Android para X86 e roda-lo em uma máquina virtual. Procurei muito pela internet, achei várias informações, algumas que me foram uteis e outras não. Neste post, não vou falar sobre como Compilar o Android, pois eu ainda não consegui fazer o mesmo funcionar como eu queria mas vou colocar links que acredito que serão interessantes para ajudar no seu desenvolvimento com o Android e traduzir uns passos básicos para os que não tem um inglês tão aperfeiçoado.

Primeiro, gostaria de avisar que " Building under Windows is not currently supported." Ou seja, compilar no windows não é suportado atualmente.

Ubuntu Linux (32-bit x86):

* Pacotes necessários:
o Git 1.5.4 ou mais novo e o GNU Privacy Guard.
o JDK 5.0, update 12 ou mais novo. Java 6 não é suportado, devido a incompatibilidades com o @Override
o flex, bison, gperf, libsdl-dev, libesd0-dev, libwxgtk2.6-dev (optional), build-essential, zip, curl.

Para instalar os mesmos digite o seguinte:
$ sudo apt-get install git-core gnupg sun-java5-jdk flex bison gperf libsdl-dev libesd0-dev libwxgtk2.6-dev build-essential zip curl libncurses5-dev zlib1g-dev

* Você provavelmente vai querer Valgrind, uma ferramenta que ajuda a achar leaks de memoria, stack corrompido, indices fora dos arrays, overflows, entre outros.
Para instala-lo:
$ sudo apt-get install valgrind
* Usuarios do Intrepid (8.10) precisaram uma nova versão da libreadline :
$ sudo apt-get install lib32readline5-dev

Caso você tenha interesse em saber mais continue lendo...

Ubuntu Linux (64-bit x86)

Isto não foi bem testado com este sistema. Por favor envie relatórios de sucesso ou erro para [email protected]

O Android requer um 32-bit sistema de compilação assim como outras ferramentas:

* Pacotes necessários:
o Git 1.5.4 ou mais novo e o GNU Privacy Guard.
o JDK 5.0, update 12 ou mais novo. Java 6 não é suportado, devido a incompatibilidades com o
o Pedaços do ambiente de desenvolvimento de 32-bit
o X11 development

$ sudo apt-get install git-core gnupg flex bison gperf build-essential zip curl sun-java5-jdk zlib1g-dev gcc-multilib g++-multilib libc6-dev-i386 lib32ncurses5-dev ia32-libs x11proto-core-dev libx11-dev lib32readline5-dev lib32z-dev

* Fixe o sistema para usar a versão certa do java por padrão
$ sudo update-java-alternatives -s java-1.5.0-sun

* X11: Ubuntu não tem pacotes para as bibliotecas X11, mas isto pode funcionar com o seguinte comando:
$ sudo ln -s /usr/lib32/libX11.so.6 /usr/lib32/libX11.so

Lembrando você que está rodando o linux em uma maquina virtual, você precisara de ao menos 1.5GB de RAM e 10GB ou mais de disco.

Instalando Repo:

1. Tenha certeza de que você tem um ~/bin diretorio (em sua home), e verifique para ter certeza se este bin está em seu diretório:
$ cd ~
$ mkdir bin
$ echo $PATH

2. Baixe o repo e faça ele executavel:
$ curl http://android.git.kernel.org/repo >~/bin/repo
$ chmod a+x ~/bin/repo

Iniciando o cliente repo:

1. Crie um diretório vazio para guardar seus arquivos:
$ mkdir mydroid
$ cd mydroid

2. Execute repo init para baixar a ultima versão do repo com seus mais recentes bugs corrigidos. Você deve especificar uma URL para o Manifest:
$ repo init -u git://android.git.kernel.org/platform/manifest.git
* Se você deseja baixar outro diferente do "master", especifique ele com -b, como:
$ repo init -u git://android.git.kernel.org/platform/manifest.git -b cupcake
3. Quando perguntado, configure Repo com seu verdadeiro nome e e-mail. Se você planeja enviar códigos, use um e-mail associado a uma conta do Google.

Uma inicialização com sucesso deverá terminar com a seguinte mensagem:
repo initialized in /mydroid

Seu diretório, agora deve conter um diretório ".repo" onde os arquivos do "manifest" serão guardados

Baixando os arquivos:

Digite este comando no seu diretório myandroid:
$ repo sync

Pretendo continuar meus testes e descobrir o que está errado, acredito que pode ser algum problema com o compilador ou algo relacionado ao meu sistema x86_64. Mantenho vocês informados com as novidades. Caso algum de vocês consiga, pode me contatar.

Gostaria também de informar que estou lançando uma versão em inglês desse blog, ambos provavelmente vão ter matérias idênticas porém nas duas línguas, mas existirão algumas exceções quando o assunto é MUITO pertinente a somente uma delas.

Abraços,
Matheus

Página do Código fonte do Android
Atualizações para o Android X86
Como compilar o Android para um arquitetura X86
Grupo do Android
VDI do Android (Sem suporte a rede)

Published inAndroidSoftware Livre

Be First to Comment

Leave a Reply

Your email address will not be published. Required fields are marked *